---
title: Update User Profile
slug: api-documentation/update-user-profile
docTags: 
createdAt: 2026-08-27T16:18:26.773Z
---

{
  "id": "xR84PHEdVvBt2sZXKuGNt",
  "type": "api-oas-v2",
  "data": {
    "method": "PUT",
    "url": "https://api.upstartcommerce.com/v1/user/profile",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/user/profile"
      }
    ],
    "name": "Update User Profile",
    "description": "<p>This endpoint allows the currently-logged-in user to update profile details such as email, name, and phone number.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "The request should provide the new information for the user.",
          "customType": "UpdateUser",
          "schema": [
            {
              "name": "emailAddress",
              "kind": "optional",
              "type": "string",
              "description": "Email address to set."
            },
            {
              "name": "name",
              "kind": "optional",
              "type": "string",
              "description": "<p>First, last, and (optional) middle names of the user.</p>"
            },
            {
              "name": "phoneNumber",
              "kind": "optional",
              "type": "string",
              "description": "The new contact phone number for this user."
            },
            {
              "name": "isPasswordAllowed",
              "kind": "optional",
              "type": "boolean",
              "description": "Indicates if the user is allowed to set a password or must use social authentication."
            }
          ],
          "modelRef": "#/components/schemas/UpdateUser",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>(DEPRECATED) This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        },
        {
          "id": "SessionIdAccess",
          "name": "X-Upstart-Session-Id",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Session based authorization. This authentication is required for clients to interact with any of the management APIs. Similar to ''LoggedIn'', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Response indicating that the user's profile updated successfully.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>Summary of a user: identity, contact details, tenant, role assignments and lock state.</p>",
            "customType": "UserSummary",
            "schema": [
              {
                "name": "emailAddress",
                "kind": "required",
                "type": "string<email>",
                "description": "The user's email address.",
                "example": "example@example.com",
                "format": "email"
              },
              {
                "name": "id",
                "kind": "required",
                "type": "string<UUID>",
                "description": "Unique identifier for this user. If it is not provided a UUID will be allocated.",
                "format": "UUID"
              },
              {
                "name": "lock",
                "kind": "required",
                "type": "boolean",
                "description": "This indicates whether the user is currently locked out of the system.",
                "default": false
              },
              {
                "name": "login",
                "kind": "required",
                "type": "string",
                "description": "<p>The login (username) that is being requested for the user.</p>"
              },
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "<p>First, last, and (optional) middle names of the user.</p>"
              },
              {
                "name": "userRoles",
                "kind": "optional",
                "type": "object",
                "description": "<p>A map indexed by a tenant name listing all tenant-level roles and site-level roles.\nFor example:\n{\n\"tenant1\" : {\n\"roleIds\" : [\"some.role1\",\"some.role2\"],\nsites: {\n\"site1\": {\n\"roleIds\": [\"some.role3\",\"some.role4\"]\n},\n\"site2\": {\n\"roleIds\": [\"some.role4\",\"some.role6\"]\n}\n}\n},\n\"tenant2\" : {\n\"roleIds\" : [\"some.other.role1\",\"some.other.role2\"],\nsites: {\n\"site1\": {\n\"roleIds\": [\"some.other.role3\",\"some.other.role4\"]\n},\n\"site2\": {\n\"roleIds\": [\"some.other.role5\",\"some.other.role6\"]\n}\n}\n}\n}</p>",
                "example": "{\"tenant-name-1\":{\"roleIds\":[\"catalog.mgmt\"],\"sites\":{\"example-site-name-1\":{\"roleIds\":[\"order.mgmt\"]},\"example-site-name-2\":{\"roleIds\":[\"order.mgmt\"]}}},\"tenant-name-2\":{\"roleIds\":[\"user.mgmt\"],\"sites\":{\"example-site-name-1\":{\"roleIds\":[]},\"example-site-name-2\":{\"roleIds\":[\"inventory.mgmt\"]}}}}",
                "modelRef": "#/components/schemas/UserRoles",
                "customType": "UserRoles",
                "schema": []
              },
              {
                "name": "phoneNumber",
                "kind": "optional",
                "type": "string",
                "description": "The contact phone number for this user."
              },
              {
                "name": "registrationDate",
                "kind": "optional",
                "type": "string<date-time>",
                "description": "<p>The date/time on which this user was created.</p>",
                "format": "date-time"
              },
              {
                "name": "tenant",
                "kind": "required",
                "type": "string",
                "description": "This is the id of the tenant that this user is associated with."
              },
              {
                "name": "isPasswordAllowed",
                "kind": "optional",
                "type": "boolean",
                "description": "Indicates if the user is allowed to set a password or must use social authentication."
              }
            ],
            "modelRef": "#/components/schemas/UserSummary",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "The request contained information that the server was unable to process. Appropriate errors are provided in the response body.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "Details of a request that failed validation.",
            "customType": "ValidationErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ValidationErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>Credentials are missing, expired or insufficient (HTTP 401).</p>",
            "customType": "UnauthorizedError",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/UnauthorizedError",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "<p>An update to this resource requires the if-match and if-unmodified-since headers to be sent in order to process the request.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>The request is understood but refused (HTTP 403).</p>",
            "customType": "ForbiddenError",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ForbiddenError",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "The requested resource was not found in the NoChannel system.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>The addressed resource does not exist (HTTP 404).</p>",
            "customType": "NotFoundError",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/NotFoundError",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "409",
        "description": "The request conflicts with the current state of the resource.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>The request conflicts with existing state (HTTP 409).</p>",
            "customType": "ConflictError",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ConflictError",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "500",
        "description": "Internal server error. The server encountered an unexpected condition that prevented it from fulfilling the request.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>The request failed for an unexpected reason (HTTP 500).</p>",
            "customType": "InternalServerError",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/InternalServerError",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "iefcRuxtKI-VE84520ITr",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request PUT \\\n     --url https://api.upstartcommerce.com/v1/user/profile \\\n     --header 'accept: application/json' \\\n     --header 'x-upstart-tenant: string'"
        },
        {
          "id": "yghuR2Z3q2BaqDLFttkLw",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar requestOptions = {\n   method: 'PUT',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/user/profile\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "ojrhEOi4quAsZM4-u7owD",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/user/profile\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Put.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "hSd97kEQ3z1rKf16VrQ_U",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/user/profile\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"PUT\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "iefcRuxtKI-VE84520ITr"
    },
    "results": {
      "languages": [
        {
          "id": "p2afCQfYf4UuTmkm_k8BD",
          "language": "200",
          "code": "// Response indicating that the user's profile updated successfully.\n{\n  \"emailAddress\": \"example@example.com\",\n  \"id\": \"\",\n  \"lock\": false,\n  \"login\": \"\",\n  \"name\": \"\",\n  \"userRoles\": {},\n  \"phoneNumber\": \"\",\n  \"registrationDate\": \"\",\n  \"tenant\": \"\",\n  \"isPasswordAllowed\": false\n}"
        },
        {
          "id": "5A2hKJ8MorGUNaCTh2kRc",
          "language": "400",
          "code": "// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": [\n    \"\"\n  ],\n  \"reason\": \"\"\n}"
        },
        {
          "id": "IMmSGJAHC_IRtlD4PRaeF",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "3dSYuRXY5G0R_WcYmrual",
          "language": "403",
          "code": "// An update to this resource requires the if-match and if-unmodified-since headers to be sent in order to process the request.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "MKHqqewSX4tOIDKw3bLZ4",
          "language": "404",
          "code": "// The requested resource was not found in the NoChannel system.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "IDW24a4kuzrRltbj9X94K",
          "language": "409",
          "code": "// The request conflicts with the current state of the resource.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "GmxnuJyUmgENgpxY1Wcm5",
          "language": "500",
          "code": "// Internal server error. The server encountered an unexpected condition that prevented it from fulfilling the request.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "p2afCQfYf4UuTmkm_k8BD"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}